using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;


namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
                    
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie Army", 
                    NameToOrderByOverride = "Zombie Army",
                    DescriptionOverride = "A military zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-army.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-army.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie Army 2", 
                    NameToOrderByOverride = "Zombie Army 2",
                    DescriptionOverride = "A military zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-army_2.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-army_2.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie Army 3", 
                    NameToOrderByOverride = "Zombie Army 3",
                    DescriptionOverride = "A military zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-army_3.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-army_3.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 1", 
                    NameToOrderByOverride = "Zombie 1",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-1.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-1.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 2", 
                    NameToOrderByOverride = "Zombie 2",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-2.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-2.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 3", 
                    NameToOrderByOverride = "Zombie 3",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-3.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-3.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 4", 
                    NameToOrderByOverride = "Zombie 4",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-4.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-4.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 5", 
                    NameToOrderByOverride = "Zombie 5",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-5.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-5.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 6", 
                    NameToOrderByOverride = "Zombie 6",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-6.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-6.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 7", 
                    NameToOrderByOverride = "Zombie 7",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-7.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-7.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 8", 
                    NameToOrderByOverride = "Zombie 8",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-8.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-8.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 9", 
                    NameToOrderByOverride = "Zombie 9",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-9.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-9.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 10", 
                    NameToOrderByOverride = "Zombie 10",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-10.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-10.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 11", 
                    NameToOrderByOverride = "Zombie 11",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-11.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-11.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 12", 
                    NameToOrderByOverride = "Zombie 12",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-12.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-12.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 13", 
                    NameToOrderByOverride = "Zombie 13",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-13.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-13.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 14", 
                    NameToOrderByOverride = "Zombie 14",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-14.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-14.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 15", 
                    NameToOrderByOverride = "Zombie 15",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-15.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-15.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 16", 
                    NameToOrderByOverride = "Zombie 16",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-16.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-16.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 17", 
                    NameToOrderByOverride = "Zombie 17",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-17.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-17.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 18", 
                    NameToOrderByOverride = "Zombie 18",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-18.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-18.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 19", 
                    NameToOrderByOverride = "Zombie 19",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-19.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-19.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 20", 
                    NameToOrderByOverride = "Zombie 20",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-20.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-20.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 21", 
                    NameToOrderByOverride = "Zombie 21",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-21.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-21.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 22", 
                    NameToOrderByOverride = "Zombie 22",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-22.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-22.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 23", 
                    NameToOrderByOverride = "Zombie 23",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-23.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-23.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 24", 
                    NameToOrderByOverride = "Zombie 24",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-24.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-24.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 25", 
                    NameToOrderByOverride = "Zombie 25",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-25.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-25.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

        }
      }
	 );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 26", 
                    NameToOrderByOverride = "Zombie 26",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-26.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-26.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 27", 
                    NameToOrderByOverride = "Zombie 27",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-27.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-27.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 28", 
                    NameToOrderByOverride = "Zombie 28",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-28.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-28.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 29", 
                    NameToOrderByOverride = "Zombie 29",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-29.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-29.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 30", 
                    NameToOrderByOverride = "Zombie 30",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-30.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-30.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 31", 
                    NameToOrderByOverride = "Zombie 31",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-31.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-31.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 32", 
                    NameToOrderByOverride = "Zombie 32",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-32.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-32.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 33", 
                    NameToOrderByOverride = "Zombie 33",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-33.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-33.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 34", 
                    NameToOrderByOverride = "Zombie 34",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-34.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-34.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 35", 
                    NameToOrderByOverride = "Zombie 35",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-35.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-35.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

        }
      }
	 );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Zombie 36", 
                    NameToOrderByOverride = "Zombie 36",
                    DescriptionOverride = "A zombie", 
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("zombie-36.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("zombie-36.png");
                        var flesh = ModAPI.LoadTexture("flesh-1.png");
                        var bone = ModAPI.LoadTexture("bone-1.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                    }
                }
            );
		}
  }
}